<?php
session_name('EduXiigle');
session_start();
if (!isset($_SESSION['user'])) {
	session_destroy();
	header("Location:ressources/auth.php");
}
include_once('ressources/fonctions.php');

//Themes de couleur
$themes = array(
	'EduXiigle' => array('#97b1ca','#8299AE'),
	'Aigue marine' => array('#66CDAA','#58B093'),
	'Bleu ciel' => array('#87CEFA','#6BA3C6'),
	'Bleu metal' => array('#B4CDCD','#9BB0B0'),
	'Cyan' => array('#00C0C0','#009E9E'),
	'Blé' => array('#FFEC8B','#CDBD70'),
	'Jaune' => array('#FFFC4C','#EEEE00'),
	'Orange' => array('#FFC34C','#D1A03E'),
	'Parme' => array('#E066FF','#AE4FC6'),
	'Rose' => array('#FFC1C1','#CD9B9B'),
	'Saumon' => array('#FF8C69','#DC795B'),
	'Vert' => array('#90EE90','#81D581'),
	'Vert mer profond' => array('#8FBC8F','#719571'),
	'Tableau blanc' => array('#FFFFFF','#FFFFFF')
);

$testrp=unpbet(suppr($_POST['rp']));
if ($testrp == 'HTravail') {$testrp = '/';}
//$testrp=$_POST['rp'];

if (isset($_POST['rp']) && $testrp != '') {
	//creation ou mise à jour du fichier config
	cdt();
	$tab=array();
	$tab[]=$testrp;
	$rs=explode(";",unpbet(suppr($_POST['rs'])));
	for ($i=0;$i<count($rs);$i++) {
		preg_match('#^\s*+(.*)\s*$#U',$rs[$i],$match);
		if ($match[1] != '') {$tab[]=$match[1];}
	}
	//$_SESSION['couleurs']=$themes[$_POST['theme']];
	$_SESSION['theme']=$_POST['theme'];
	$_SESSION['taille']=$_POST['taille'];
	$config=array('reperso' => $tab, 'theme' => $_SESSION['theme']);
	exec_samba('localhost',$_SESSION['user'],'Travail','mkdir ".eduxiigle"');
	$fichier = fopen($_SESSION['tmp'].'/conf.txt', 'w+');
	fputs($fichier,serialize($config));
	fclose($fichier);
	$_SESSION['reperso']=$tab;
	$testcp=cptmpsmbr('localhost',$_SESSION['user'],'Travail/.eduxiigle','conf.txt','config');
	@unlink($_SESSION['tmp'].'/conf.txt');
	if (count($testcp) != 0) { $ok = 'pbcp'; }
	else { $ok = 'maj'; }
}
if (isset($_POST['rp']) && $testrp == '') {$ok = 'rp';}
$rp=$_SESSION['reperso'][0];
$rs='';
for ($i=1;$i<count($_SESSION['reperso']);$i++) {
	$rs.=$_SESSION['reperso'][$i].';';
}
$rs=substr($rs,0,-1);

if ($_POST['expert'] == 1 or $rp == '/'){$expert=true;} else {$expert=false;}
if ($_POST['expert'] == 2) {$expert=false;$rp=($_SESSION['reperso'][0] != '/') ? $_SESSION['reperso'][0] : '';}

?>
<div class="titre">Configuration</div>

<form action="config.php" method="POST" name="option">
<span style="font-weight : bold; text-decoration : underline;">Répertoire principal</span><br>
<em>Répertoire qui sera créé chez les élèves et dans lequel seront envoyés les fichiers</em><br>
<input type="text" name="rp" size="40" value="<?php
if ($expert) {echo 'H:\\Travail';} else {echo $rp;}
?>"
<?php
if ($expert) { echo " disabled";}
?>
>&nbsp;<br><br>
<?php if ($expert) {?>
<input type="checkbox" checked="checked" onchange="ajax('config.php','expert=2','main');">mode expert
<?php } else { ?>
<input type="checkbox" onchange="ajax('config.php','expert=1','main');">mode expert
<?php } ?>
<em> (permet d'utiliser directement le H:\Travail comme répertoire principal)</em>
<br><br><br>
<span style="font-weight : bold; text-decoration : underline;">Répertoires secondaires (facultatif)</span><br>
<em>Sous-répertoires qui seront créés, si besoin, dans le répertoire principal</em><br>
<input type="text" name="rs" size="60" value="<?php echo $rs; ?>"><br><em>(séparer par des points-virgules, exemple : &#171; exercices;documents;images &#187;)</em>


<br><br><br>
<span style="font-weight : bold; text-decoration : underline;">Personnalisez votre EduXiigle</span><br>
<table cellpadding="2" cellspacing="0">
<tr>
<td colspan=3><em>Thème de couleurs</em>&nbsp;:&nbsp;</td>
</tr>
<tr>
<td>
<input type="radio" name="themer" value="t1" id="idt1" <?php if ($_SESSION['theme'] == 't1') { echo 'checked="checked"'; } ?>><img src="media/t1.png" border=1 style="cursor : pointer;" align="middle" onclick="document.getElementById('idt1').checked=true;document.getElementById('idtheme').value='t1';">
</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>
<input type="radio" name="themer" value="t2" id="idt2" <?php if ($_SESSION['theme'] == 't2') { echo 'checked="checked"'; } ?>><img src="media/t2.png" border=1 style="cursor : pointer;" align="middle" onclick="document.getElementById('idt2').checked=true;document.getElementById('idtheme').value='t2';">
</td>
</tr>
</table>
<input type="hidden" name="theme" id="idtheme" value="<?php echo $_SESSION['theme'];?>">





<?php /*
<br><br>
<span style="font-weight : bold; text-decoration : underline;">Personnalisez votre EduXiigle</span><br>
<table cellpadding="2" cellspacing="0">
<tr><td>
<em>Thème de couleurs</em>&nbsp;:&nbsp;</td>
<td>
<select id="theme">
<?php
foreach($themes as $nom => $tab) {
	echo '<option value="'.$nom.'" onmouseover="javascript:changecouleurs(\''.$tab[0].'\',\''.$tab[1].'\');"'.($tab == $_SESSION['couleurs'] ? ' selected="selected"' : '').'>'.$nom.'</option>';
}
?>
</select></td>
</tr>
<tr>
<td>
<em>Taille des polices</em>&nbsp;:&nbsp;</td>
<td>
<select id="taille">
<?php
for($i=10;$i<19;$i++) {
	echo '<option value="'.$i.'" onmouseover=""'.($i == $_SESSION['taille'] ? ' selected="selected"' : '').'>'.$i.'</option>';
}
?>
</select>
</td>
</tr>
</table>

+'&theme='+document.getElementById('theme').value+'&taille='+document.getElementById('taille').value
&nbsp;&nbsp;(Si les modifications de th&#232;me n'apparaissent pas, <a href=index.php>cliquez ici</a>)
*/ ?>

</form>
<br><br>
<input type="button" value="Mettre à jour" onclick="ajax('config.php','rp='+pbet(document.option.elements[0].value)+'&rs='+pbet(document.option.elements[2].value)+'&theme='+document.option.elements[5].value,'main');">
<?php
if ($ok == 'maj') { echo '<font color='.$_SESSION['colors']['message'].'>Mise à jour effectuée</font>&nbsp;&nbsp;(Pour voir les modifications de th&#232;me <a href=index.php?config>cliquez ici</a>)'; }
if ($ok == 'rp') { echo "<font color=#CD0000>Erreur : Problème dans le nom du &#171;répertoire principal&#187;</font>"; }
if ($ok == 'pbcp') { echo "<font color=#CD0000>Erreur !</font>"; }
?>
<br><br>